#!/usr/bin/env bash
pip=pip3
python_version=3.9
if [[ -f /usr/bin/apk ]] || [[ -f /sbin/apk ]]; then # PostmarketOS/Alpine
    sudo apk add py3-wxpython py3-pip
    python_version=3.10
elif [[ -f /usr/bin/apt ]]; then # Mobian/Debian/Ubuntu
    sudo apt install python3-wxgtk4 python3-pip
elif [[ -f /usr/bin/pacman ]]; then # Arch/Manjaro
    sudo pacman -S python-wxpython python-pip
    pip=pip
else
    echo "    This distribution is not supported by this installer.
    manually install: wxpython python3-pip
    and then copy tinge to /usr/local/bin and org.smolnet.tinge.desktop to /usr/share/applications/"
    exit 1
fi


sudo ${pip} install -r ./requirements.txt
mkdir -p ~/.local/bin/ ~/.local/share/applications/
chmod +x ./scripts/tinge
cp ./scripts/tinge ~/.local/bin/
cp ./data/org.smolnet.tinge.desktop ~/.local/share/applications/
sudo cp -r ./src/tinge /usr/lib/python${python_version}/site-packages/
exit 0
